# Auth0 Docs > Auth0 documentation ## Docs - [Auth0 APIs](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api.md): Auth0 exposes the following APIs for developers to consume in their applications. - [Unlink](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/account-linking-legacy/unlink.md): :::note This endpoint is **deprecated**. The [DELETE /api/v2/users/{id}/identities/{provider}/{user_id}](/api/management/v2#!/Users/delete_user_identity_by_user_id) should be used instead. ::: - [Authorization Endpoint](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/authorization/authorization-endpoint.md): Initiates the OAuth 2.0 authorization flow. This endpoint supports multiple authentication flows including Authorization Code Flow, Authorization Code Flow with PKCE, Implicit Flow, and Hybrid Flow. - [Back-Channel Login](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/authorization/back-channel-login.md): The Back-Channel Login endpoint enables applications to send an authentication request to a user’s phone, or the authentication device, provided they have an app installed and are enrolled for [push notifications using the Guardian SDK](https://auth0.com/docs/secure/multi-factor-authentication/auth0… - [Request Password Change](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/database-connections/request-password-change.md): Send a password reset email to a user. The user will receive an email with a link to reset their password. - [Sign Up User](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/database-connections/sign-up-user.md): Create a new user in an Auth0 database connection. - [Get Delegation Token (Legacy)](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/delegation-legacy/get-delegation-token-legacy.md): ⚠️ **LEGACY ENDPOINT** - Delegation tokens are deprecated and disabled for new tenants. - [Request Device Code](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/device-authorization/request-device-code.md): Request a device code and user code for the OAuth 2.0 Device Authorization Flow. This flow is designed for input-constrained devices like smart TVs, IoT devices, or gaming consoles. - [Dynamic Application Registration](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/dynamic-client-registration/dynamic-application-registration.md): With a name and the necessary callback URL, you can dynamically register a client with Auth0. No token is needed for this request. - [Impersonate a User (Legacy)](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/impersonation-legacy/impersonate-a-user-legacy.md): ⚠️ **LEGACY ENDPOINT** - User impersonation using Global Client credentials is deprecated. - [Authentication API Reference](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/index.md): Documentation for Auth0's Authentication API - [Social with Provider's Access Token](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/login-legacy/social-with-providers-access-token.md): ⚠️ **LEGACY ENDPOINT** - This endpoint is part of the legacy authentication pipeline and is deprecated. - [Global Token Revocation](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/logout/global-token-revocation.md): Use this endpoint with the [Okta Workforce Identity Cloud Universal Logout](https://developer.okta.com/docs/guides/oin-universal-logout-overview/) to log users out of your applications. A request to this endpoint revokes session cookies and refresh tokens, but not access tokens. To learn more, read… - [Logout](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/logout/logout.md): Log out a user and optionally redirect them to a specified URL. This endpoint clears the user's session with Auth0. - [OIDC RP-Initiated Logout](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/logout/oidc-rp-initiated-logout.md): OpenID Connect RP-Initiated Logout endpoint. This is the standardized OIDC logout endpoint that allows relying parties (your application) to initiate logout. - [SAML Logout](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/logout/saml-logout.md): Use this endpoint to log out a user from an Auth0 tenant configured as a SAML identity provider (IdP). Logout behavior is determined by the configuration of the SAML2 Web App addon for the application on the Auth0 tenant acting as the SAML IdP. To learn more, read [Log Users Out of SAML Identity Pro… - [Associate MFA Authenticator](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/multi-factor-authentication/associate-mfa-authenticator.md): Associate a new MFA authenticator with the user's account. This endpoint is used to enroll users in MFA. - [Delete MFA Authenticator](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/multi-factor-authentication/delete-mfa-authenticator.md): Delete a specific MFA authenticator from the user's account. Users must have at least one authenticator remaining or MFA will be disabled. - [List MFA Authenticators](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/multi-factor-authentication/list-mfa-authenticators.md): List all MFA authenticators associated with the current user's account. - [Request MFA Challenge](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/multi-factor-authentication/request-mfa-challenge.md): Request a challenge for multi-factor authentication. This endpoint is used during the MFA flow when a user needs to verify their identity using a second factor. - [Start Passwordless Authentication](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/passwordless/start-passwordless-authentication.md): Start a passwordless authentication flow by sending a verification code or magic link to the user's email or phone. - [Verify](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/passwordless/verify.md): :::note This feature is disabled by default for new tenants as of 8 June 2017. Please see [Application Grant Types](/applications/concepts/application-grant-types) for more information. ::: - [Pushed Authorization Request (PAR)](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/pushed-authorization-requests/pushed-authorization-request-par.md): Push an authorization request to Auth0 and receive a request URI to use in the authorization flow. PAR enhances security by moving authorization parameters from the front channel (browser) to the back channel (direct server-to-server). - [Resource Owner (Legacy)](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/resource-owner-legacy/resource-owner-legacy.md): ⚠️ **LEGACY ENDPOINT** - This endpoint is part of the legacy authentication pipeline and is deprecated. - [Accept Request](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/saml/accept-request.md): Use this endpoint to accept a SAML request to initiate a login. - [Get Metadata](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/saml/get-metadata.md): This endpoint returns the SAML 2.0 metadata. - [IdP-Initiated Single Sign-On (SSO) Flow](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/saml/id-p-initiated-single-sign-on-sso-flow.md): This endpoint accepts an IdP-Initiated Sign On SAMLResponse from a SAML Identity Provider. The connection corresponding to the identity provider is specified in the query string. The user will be redirected to the application that is specified in the SAML Provider IdP-Initiated Sign On section. - [Token Endpoint](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/token-exchange/token-endpoint.md): Exchange various types of credentials for access tokens, ID tokens, and refresh tokens. This endpoint is the core of OAuth 2.0 token exchange and supports multiple grant types. - [Revoke Refresh Token](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/token-management/revoke-refresh-token.md): Revoke a refresh token to prevent it from being used to obtain new access tokens. Once revoked, the refresh token can no longer be used. - [Get Token Info (Legacy)](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/user-profile-legacy/get-token-info-legacy.md): ⚠️ **LEGACY ENDPOINT** - This endpoint is deprecated. - [Get User Info](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/user-profile/get-user-info.md): Get the user's profile information using the OpenID Connect UserInfo endpoint. This endpoint returns claims about the authenticated user. - [Accept WS-Federation Request](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/ws-federation/accept-ws-federation-request.md): This endpoint accepts a WS-Federation request to initiate a login. - [Get WS-Federation Metadata](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/authentication/ws-federation/get-ws-federation-metadata.md): This endpoint returns the WS-Federation metadata. - [Delete an action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/delete-action.md): Deletes an action and all of its associated versions. An action must be unbound from all triggers before it can be deleted. - [Delete a specific Actions Module by ID](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/delete-action-module.md): Permanently delete an Actions Module. This will fail if the module is still in use by any actions. - [Get an action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action.md): Retrieve an action by its ID. - [Get a specific Actions Module by ID](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-module.md): Retrieve details of a specific Actions Module by its unique identifier. - [List all actions using an Actions Module](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-module-actions.md): Lists all actions that are using a specific Actions Module, showing which deployed action versions reference this Actions Module. - [Get a specific version of an Actions Module](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-module-version.md): Retrieve the details of a specific, immutable version of an Actions Module. - [List all versions of an Actions Module](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-module-versions.md): List all published versions of a specific Actions Module. - [List Actions Modules](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-modules.md): Retrieve a paginated list of all Actions Modules with optional filtering and totals. - [Get a specific version of an action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-version.md): Retrieve a specific version of an action. An action version is created whenever an action is deployed. An action version is immutable, once created. - [Get an action's versions](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-action-versions.md): Retrieve all of an action's versions. An action version is created whenever an action is deployed. An action version is immutable, once created. - [Get actions](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-actions.md): Retrieve all actions. - [Get trigger bindings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-bindings.md): Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow. - [Get an execution](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-execution.md): Retrieve information about a specific execution of a trigger. Relevant execution IDs will be included in tenant logs generated as part of that authentication flow. Executions will only be stored for 10 days after their creation. - [Get triggers](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/get-triggers.md): Retrieve the set of triggers currently available within actions. A trigger is an extensibility point to which actions can be bound. - [Update an action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/patch-action.md): Update an existing action. If this action is currently bound to a trigger, updating it will not affect any user flows until the action is deployed. - [Update a specific Actions Module](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/patch-action-module.md): Update properties of an existing Actions Module, such as code, dependencies, or secrets. - [Update trigger bindings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/patch-bindings.md): Update the actions that are bound (i.e. attached) to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The order in which the actions are provided will determine the order in which they are executed. - [Create an action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-action.md): Create an action. Once an action is created, it must be deployed, and then bound to a trigger before it will be executed as part of a flow. - [Create a new Actions Module](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-action-module.md): Create a new Actions Module for reusable code across actions. - [Rollback an Actions Module to a previous version](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-action-module-rollback.md): Rolls back an Actions Module's draft to a previously created version. This action copies the code, dependencies, and secrets from the specified version into the current draft. - [Create a new version of an Actions Module](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-action-module-version.md): Creates a new immutable version of an Actions Module from the current draft version. This publishes the draft as a new version that can be referenced by actions, while maintaining the existing draft for continued development. - [Deploy an action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-deploy-action.md): Deploy an action. Deploying an action will create a new immutable version of the action. If the action is currently bound to a trigger, then the system will begin executing the newly deployed version of the action immediately. Otherwise, the action will only be executed as a part of a flow once it i… - [Roll back to a previous action version](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-deploy-draft-version.md): Performs the equivalent of a roll-back of an action to an earlier, specified version. Creates a new, deployed action version that is identical to the specified version. If this action is currently bound to a trigger, the system will begin executing the newly-created version immediately. - [Test an Action](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/actions/post-test-action.md): Test an action. After updating an action, it can be tested prior to being deployed to ensure it behaves as expected. - [Remove the blocked IP address](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/anomaly/delete-ips-by-id.md): Remove a block imposed by Suspicious IP Throttling for the given IP address. - [Check if an IP address is blocked](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/anomaly/get-ips-by-id.md): Check if the given IP address is blocked via the Suspicious IP Throttling due to multiple suspicious attempts. - [Get Bot Detection settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-bot-detection.md): Get the Bot Detection configuration of your tenant. - [Get Breached Password Detection settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-breached-password-detection.md): Retrieve details of the Breached Password Detection configuration of your tenant. - [Get Brute-force settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-brute-force-protection.md): Retrieve details of the Brute-force Protection configuration of your tenant. - [Get the CAPTCHA configuration for a tenant](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-captcha.md): Get the CAPTCHA configuration for your client. - [Get Suspicious IP Throttling settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-suspicious-ip-throttling.md): Retrieve details of the Suspicious IP Throttling configuration of your tenant. - [Update Bot Detection settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/patch-bot-detection.md): Update the Bot Detection configuration of your tenant. - [Update Breached Password Detection settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/patch-breached-password-detection.md): Update details of the Breached Password Detection configuration of your tenant. - [Update Brute-force settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/patch-brute-force-protection.md): Update the Brute-force Protection configuration of your tenant. - [Partial Update for CAPTCHA Configuration](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/patch-captcha.md): Update existing CAPTCHA configuration for your client. - [Update Suspicious IP Throttling settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/attack-protection/patch-suspicious-ip-throttling.md): Update the details of the Suspicious IP Throttling configuration of your tenant. - [Configure the phone provider](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/create-phone-provider.md): Create a phone provider. The credentials object requires different properties depending on the phone provider (which is specified using the name property). - [Create a phone notification template](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/create-phone-template.md) - [Delete branding theme](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/delete-branding-theme.md): Delete branding theme. - [Deletes a Phone Provider](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/delete-phone-provider.md): Delete the configured phone provider. - [Delete a phone notification template](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/delete-phone-template.md) - [Delete template for New Universal Login Experience](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/delete-universal-login.md) - [Get branding settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-branding.md): Retrieve branding settings. - [Get a list of phone providers](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-branding-phone-providers.md): Retrieve a list of phone providers details set for a Tenant. A list of fields to include or exclude may also be specified. - [Get branding theme](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-branding-theme.md): Retrieve branding theme. - [Get default branding theme](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-default-branding-theme.md): Retrieve default branding theme. - [Get a phone provider](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-phone-provider.md): Retrieve phone provider details. A list of fields to include or exclude may also be specified. - [Get a phone notification template](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-phone-template.md) - [Get a list of phone notification templates](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-phone-templates.md) - [Get template for New Universal Login Experience](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/get-universal-login.md) - [Update branding settings](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/patch-branding.md): Update branding settings. - [Update branding theme](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/patch-branding-theme.md): Update branding theme. - [Create branding theme](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/post-branding-theme.md): Create branding theme. - [Set template for New Universal Login Experience](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/put-universal-login.md): Update the Universal Login branding template. - [Resets a phone notification template values](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/reset-phone-template.md) - [Send a test phone notification for the configured provider](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/try-phone-provider.md) - [Send a test phone notification for the configured template](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/try-phone-template.md) - [Update the phone provider](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/update-phone-provider.md): Update a phone provider. The credentials object requires different properties depending on the phone provider (which is specified using the name property). - [Update a phone notification template](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/branding/update-phone-template.md) - [Delete client grant](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/client-grants/delete-client-grants-by-id.md): Delete the Client Credential Flow from your machine-to-machine application. - [Get client grant](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/client-grants/get-client-grant.md): Retrieve a single client grant, including the scopes associated with the application/API pair. - [Get the organizations associated to a client grant](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/client-grants/get-client-grant-organizations.md) - [Get client grants](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/client-grants/get-client-grants.md): Retrieve a list of client grants, including the scopes associated with the application/API pair. - [Update client grant](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/client-grants/patch-client-grants-by-id.md): Update a client grant. - [Create client grant](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/client-grants/post-client-grants.md): Create a client grant for a machine-to-machine login flow. To learn more, read Client Credential Flow. - [Delete a client](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/clients/delete-clients-by-id.md): Delete a client and related configuration (rules, connections, etc). - [Delete a client credential](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/clients/delete-credentials-by-credential-id.md): Delete a client credential you previously created. May be enabled or disabled. For more information, read Client Credential Flow. - [Get enabled connections for a client](https://auth0-maint-index-0506-011456.auth0-mintlify.app/docs/api/management/v2/clients/get-client-connections.md): Retrieve all connections that are enabled for the specified Application, using checkpoint pagination. A list of fields to include or exclude for each connection may also be specified.